Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network181.2.240.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
181.2.240.0
Broadcast address
181.2.255.255
First usable
181.2.240.1
Last usable
181.2.255.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
B (default /16)
As numbers
Hex B502F000 · Integer 3036868608 to 3036872703
Reverse DNS zones
240.2.181.in-addr.arpa
241.2.181.in-addr.arpa
242.2.181.in-addr.arpa
243.2.181.in-addr.arpa
244.2.181.in-addr.arpa
245.2.181.in-addr.arpa
246.2.181.in-addr.arpa
247.2.181.in-addr.arpa
248.2.181.in-addr.arpa
249.2.181.in-addr.arpa
250.2.181.in-addr.arpa
251.2.181.in-addr.arpa
252.2.181.in-addr.arpa
253.2.181.in-addr.arpa
254.2.181.in-addr.arpa
255.2.181.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110101.00000010.11110000.00000000181.2.240.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network10110101.00000010.11110000.00000000181.2.240.0
Broadcast10110101.00000010.11111111.11111111181.2.255.255
Split into smaller subnets/27

181.2.240.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1181.2.240.0/27181.2.240.1 to 181.2.240.30181.2.240.3130
2181.2.240.32/27181.2.240.33 to 181.2.240.62181.2.240.6330
3181.2.240.64/27181.2.240.65 to 181.2.240.94181.2.240.9530
4181.2.240.96/27181.2.240.97 to 181.2.240.126181.2.240.12730
5181.2.240.128/27181.2.240.129 to 181.2.240.158181.2.240.15930
6181.2.240.160/27181.2.240.161 to 181.2.240.190181.2.240.19130
7181.2.240.192/27181.2.240.193 to 181.2.240.222181.2.240.22330
8181.2.240.224/27181.2.240.225 to 181.2.240.254181.2.240.25530
9181.2.241.0/27181.2.241.1 to 181.2.241.30181.2.241.3130
10181.2.241.32/27181.2.241.33 to 181.2.241.62181.2.241.6330
11181.2.241.64/27181.2.241.65 to 181.2.241.94181.2.241.9530
12181.2.241.96/27181.2.241.97 to 181.2.241.126181.2.241.12730
13181.2.241.128/27181.2.241.129 to 181.2.241.158181.2.241.15930
14181.2.241.160/27181.2.241.161 to 181.2.241.190181.2.241.19130
15181.2.241.192/27181.2.241.193 to 181.2.241.222181.2.241.22330
16181.2.241.224/27181.2.241.225 to 181.2.241.254181.2.241.25530
17181.2.242.0/27181.2.242.1 to 181.2.242.30181.2.242.3130
18181.2.242.32/27181.2.242.33 to 181.2.242.62181.2.242.6330
19181.2.242.64/27181.2.242.65 to 181.2.242.94181.2.242.9530
20181.2.242.96/27181.2.242.97 to 181.2.242.126181.2.242.12730
21181.2.242.128/27181.2.242.129 to 181.2.242.158181.2.242.15930
22181.2.242.160/27181.2.242.161 to 181.2.242.190181.2.242.19130
23181.2.242.192/27181.2.242.193 to 181.2.242.222181.2.242.22330
24181.2.242.224/27181.2.242.225 to 181.2.242.254181.2.242.25530
25181.2.243.0/27181.2.243.1 to 181.2.243.30181.2.243.3130
26181.2.243.32/27181.2.243.33 to 181.2.243.62181.2.243.6330
27181.2.243.64/27181.2.243.65 to 181.2.243.94181.2.243.9530
28181.2.243.96/27181.2.243.97 to 181.2.243.126181.2.243.12730
29181.2.243.128/27181.2.243.129 to 181.2.243.158181.2.243.15930
30181.2.243.160/27181.2.243.161 to 181.2.243.190181.2.243.19130
31181.2.243.192/27181.2.243.193 to 181.2.243.222181.2.243.22330
32181.2.243.224/27181.2.243.225 to 181.2.243.254181.2.243.25530
33181.2.244.0/27181.2.244.1 to 181.2.244.30181.2.244.3130
34181.2.244.32/27181.2.244.33 to 181.2.244.62181.2.244.6330
35181.2.244.64/27181.2.244.65 to 181.2.244.94181.2.244.9530
36181.2.244.96/27181.2.244.97 to 181.2.244.126181.2.244.12730
37181.2.244.128/27181.2.244.129 to 181.2.244.158181.2.244.15930
38181.2.244.160/27181.2.244.161 to 181.2.244.190181.2.244.19130
39181.2.244.192/27181.2.244.193 to 181.2.244.222181.2.244.22330
40181.2.244.224/27181.2.244.225 to 181.2.244.254181.2.244.25530
41181.2.245.0/27181.2.245.1 to 181.2.245.30181.2.245.3130
42181.2.245.32/27181.2.245.33 to 181.2.245.62181.2.245.6330
43181.2.245.64/27181.2.245.65 to 181.2.245.94181.2.245.9530
44181.2.245.96/27181.2.245.97 to 181.2.245.126181.2.245.12730
45181.2.245.128/27181.2.245.129 to 181.2.245.158181.2.245.15930
46181.2.245.160/27181.2.245.161 to 181.2.245.190181.2.245.19130
47181.2.245.192/27181.2.245.193 to 181.2.245.222181.2.245.22330
48181.2.245.224/27181.2.245.225 to 181.2.245.254181.2.245.25530
49181.2.246.0/27181.2.246.1 to 181.2.246.30181.2.246.3130
50181.2.246.32/27181.2.246.33 to 181.2.246.62181.2.246.6330
51181.2.246.64/27181.2.246.65 to 181.2.246.94181.2.246.9530
52181.2.246.96/27181.2.246.97 to 181.2.246.126181.2.246.12730
53181.2.246.128/27181.2.246.129 to 181.2.246.158181.2.246.15930
54181.2.246.160/27181.2.246.161 to 181.2.246.190181.2.246.19130
55181.2.246.192/27181.2.246.193 to 181.2.246.222181.2.246.22330
56181.2.246.224/27181.2.246.225 to 181.2.246.254181.2.246.25530
57181.2.247.0/27181.2.247.1 to 181.2.247.30181.2.247.3130
58181.2.247.32/27181.2.247.33 to 181.2.247.62181.2.247.6330
59181.2.247.64/27181.2.247.65 to 181.2.247.94181.2.247.9530
60181.2.247.96/27181.2.247.97 to 181.2.247.126181.2.247.12730
61181.2.247.128/27181.2.247.129 to 181.2.247.158181.2.247.15930
62181.2.247.160/27181.2.247.161 to 181.2.247.190181.2.247.19130
63181.2.247.192/27181.2.247.193 to 181.2.247.222181.2.247.22330
64181.2.247.224/27181.2.247.225 to 181.2.247.254181.2.247.25530
65181.2.248.0/27181.2.248.1 to 181.2.248.30181.2.248.3130
66181.2.248.32/27181.2.248.33 to 181.2.248.62181.2.248.6330
67181.2.248.64/27181.2.248.65 to 181.2.248.94181.2.248.9530
68181.2.248.96/27181.2.248.97 to 181.2.248.126181.2.248.12730
69181.2.248.128/27181.2.248.129 to 181.2.248.158181.2.248.15930
70181.2.248.160/27181.2.248.161 to 181.2.248.190181.2.248.19130
71181.2.248.192/27181.2.248.193 to 181.2.248.222181.2.248.22330
72181.2.248.224/27181.2.248.225 to 181.2.248.254181.2.248.25530
73181.2.249.0/27181.2.249.1 to 181.2.249.30181.2.249.3130
74181.2.249.32/27181.2.249.33 to 181.2.249.62181.2.249.6330
75181.2.249.64/27181.2.249.65 to 181.2.249.94181.2.249.9530
76181.2.249.96/27181.2.249.97 to 181.2.249.126181.2.249.12730
77181.2.249.128/27181.2.249.129 to 181.2.249.158181.2.249.15930
78181.2.249.160/27181.2.249.161 to 181.2.249.190181.2.249.19130
79181.2.249.192/27181.2.249.193 to 181.2.249.222181.2.249.22330
80181.2.249.224/27181.2.249.225 to 181.2.249.254181.2.249.25530
81181.2.250.0/27181.2.250.1 to 181.2.250.30181.2.250.3130
82181.2.250.32/27181.2.250.33 to 181.2.250.62181.2.250.6330
83181.2.250.64/27181.2.250.65 to 181.2.250.94181.2.250.9530
84181.2.250.96/27181.2.250.97 to 181.2.250.126181.2.250.12730
85181.2.250.128/27181.2.250.129 to 181.2.250.158181.2.250.15930
86181.2.250.160/27181.2.250.161 to 181.2.250.190181.2.250.19130
87181.2.250.192/27181.2.250.193 to 181.2.250.222181.2.250.22330
88181.2.250.224/27181.2.250.225 to 181.2.250.254181.2.250.25530
89181.2.251.0/27181.2.251.1 to 181.2.251.30181.2.251.3130
90181.2.251.32/27181.2.251.33 to 181.2.251.62181.2.251.6330
91181.2.251.64/27181.2.251.65 to 181.2.251.94181.2.251.9530
92181.2.251.96/27181.2.251.97 to 181.2.251.126181.2.251.12730
93181.2.251.128/27181.2.251.129 to 181.2.251.158181.2.251.15930
94181.2.251.160/27181.2.251.161 to 181.2.251.190181.2.251.19130
95181.2.251.192/27181.2.251.193 to 181.2.251.222181.2.251.22330
96181.2.251.224/27181.2.251.225 to 181.2.251.254181.2.251.25530
97181.2.252.0/27181.2.252.1 to 181.2.252.30181.2.252.3130
98181.2.252.32/27181.2.252.33 to 181.2.252.62181.2.252.6330
99181.2.252.64/27181.2.252.65 to 181.2.252.94181.2.252.9530
100181.2.252.96/27181.2.252.97 to 181.2.252.126181.2.252.12730
101181.2.252.128/27181.2.252.129 to 181.2.252.158181.2.252.15930
102181.2.252.160/27181.2.252.161 to 181.2.252.190181.2.252.19130
103181.2.252.192/27181.2.252.193 to 181.2.252.222181.2.252.22330
104181.2.252.224/27181.2.252.225 to 181.2.252.254181.2.252.25530
105181.2.253.0/27181.2.253.1 to 181.2.253.30181.2.253.3130
106181.2.253.32/27181.2.253.33 to 181.2.253.62181.2.253.6330
107181.2.253.64/27181.2.253.65 to 181.2.253.94181.2.253.9530
108181.2.253.96/27181.2.253.97 to 181.2.253.126181.2.253.12730
109181.2.253.128/27181.2.253.129 to 181.2.253.158181.2.253.15930
110181.2.253.160/27181.2.253.161 to 181.2.253.190181.2.253.19130
111181.2.253.192/27181.2.253.193 to 181.2.253.222181.2.253.22330
112181.2.253.224/27181.2.253.225 to 181.2.253.254181.2.253.25530
113181.2.254.0/27181.2.254.1 to 181.2.254.30181.2.254.3130
114181.2.254.32/27181.2.254.33 to 181.2.254.62181.2.254.6330
115181.2.254.64/27181.2.254.65 to 181.2.254.94181.2.254.9530
116181.2.254.96/27181.2.254.97 to 181.2.254.126181.2.254.12730
117181.2.254.128/27181.2.254.129 to 181.2.254.158181.2.254.15930
118181.2.254.160/27181.2.254.161 to 181.2.254.190181.2.254.19130
119181.2.254.192/27181.2.254.193 to 181.2.254.222181.2.254.22330
120181.2.254.224/27181.2.254.225 to 181.2.254.254181.2.254.25530
121181.2.255.0/27181.2.255.1 to 181.2.255.30181.2.255.3130
122181.2.255.32/27181.2.255.33 to 181.2.255.62181.2.255.6330
123181.2.255.64/27181.2.255.65 to 181.2.255.94181.2.255.9530
124181.2.255.96/27181.2.255.97 to 181.2.255.126181.2.255.12730
125181.2.255.128/27181.2.255.129 to 181.2.255.158181.2.255.15930
126181.2.255.160/27181.2.255.161 to 181.2.255.190181.2.255.19130
127181.2.255.192/27181.2.255.193 to 181.2.255.222181.2.255.22330
128181.2.255.224/27181.2.255.225 to 181.2.255.254181.2.255.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses